export type GalleryEntryInheritedProperties = {
  description?: string
  fields?: Record<string, string>
  title: string | null | undefined
  warning?: string
}

export type GalleryEntry = GalleryEntryInheritedProperties & {
  id: string
  thumbnailUrl: string
  url?: string
  variants?: GalleryEntries
}

export type GalleryEntries = { [idOrTitle: string]: GalleryEntry }

export type GalleryList = {
  entries: GalleryEntries
}
